GlueGen: com.jogamp.common.util.TestBitstream03 Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.util.TestBitstream03 Class Reference

Test `Bitstream` w/ int16 read/write access w/ semantics as well as with aligned and unaligned access. More...

Inheritance diagram for com.jogamp.common.util.TestBitstream03:
Collaboration diagram for com.jogamp.common.util.TestBitstream03:

## Public Member Functions

void | test01Int16BitsAligned () throws IOException
void | test02Int16BitsUnaligned () throws IOException
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Test `Bitstream` w/ int16 read/write access w/ semantics as well as with aligned and unaligned access.

- `Bitstream#readUInt16(boolean)`
- `Bitstream#writeInt16(boolean, short)`

Definition at line 55 of file TestBitstream03.java.

## Member Function Documentation

## ◆ main()

static void com.jogamp.common.util.TestBitstream03.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 152 of file TestBitstream03.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ test01Int16BitsAligned()

void com.jogamp.common.util.TestBitstream03.test01Int16BitsAligned | ( |  | ) | throws IOException

Definition at line 58 of file TestBitstream03.java.

## ◆ test02Int16BitsUnaligned()

void com.jogamp.common.util.TestBitstream03.test02Int16BitsUnaligned | ( |  | ) | throws IOException

Definition at line 104 of file TestBitstream03.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/TestBitstream03.java